using Newtonsoft.Json;
using System.ComponentModel.DataAnnotations.Schema;

namespace Parser_Xls_Integral
{
    [Table("mostnice_most")]
    public class Mostnice
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("cislo_tu")]
        public string CisloTU { get; set; }

        [JsonProperty("cislo_du")]
        public string CisloDU { get; set; }

        [JsonProperty("km_poloha")]
        public string KmPoloha { get; set; }

        [JsonProperty("jic_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("porad_cislo_nk")]
        public string PoradCisloNK { get; set; }

        [JsonProperty("druh_mostnic")]
        public string DruhMostnic { get; set; }

        [JsonProperty("pocet")]
        public string Pocet { get; set; }

        [JsonProperty("material_mostnic")]
        public string MaterialMostnic { get; set; }

        [JsonProperty("rok_poslednej_obnoveny")]
        public string RokPoslednejObnovy { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }
    }
    [Table("nosne_konstrukcie_most")]
    public class NosneKonstrukcieMost
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("cislo_tu")]
        public string CisloTU { get; set; }

        [JsonProperty("cislo_du")]
        public string CisloDU { get; set; }

        [JsonProperty("km_poloha")]
        public string KmPoloha { get; set; }

        [JsonProperty("jic_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("porad_cislo_nk")]
        public string PoradCisloNK { get; set; }

        [JsonProperty("hodnotenie_nk")]
        public string HodnotenieNK { get; set; }

        [JsonProperty("nk_kod_1")]
        public string NKKod1 { get; set; }

        [JsonProperty("nk_kod_2")]
        public string NKKod2 { get; set; }

        [JsonProperty("nk_kod_3")]
        public string NKKod3 { get; set; }

        [JsonProperty("nk_kod_4")]
        public string NKKod4 { get; set; }

        [JsonProperty("nk_kod_5")]
        public string NKKod5 { get; set; }

        [JsonProperty("nk_kod_6")]
        public string NKKod6 { get; set; }

        [JsonProperty("evid_oznamenie_provizoria")]
        public string EvidOznamenieProvizoria { get; set; }

        [JsonProperty("konstrukcia_je_pozdlz_ delená")]
        public string KonstrukciaPozdlzDelená { get; set; }

        [JsonProperty("cisla_mostnych_pol")]
        public string CislaMostnychPoli { get; set; }

        [JsonProperty("osova_vzdialenost_hlavneho_nosnika")]
        public string OsovaVzdialenostHlavnehoNosnika { get; set; }

        [JsonProperty("rozpetie_hlavneho_nosnika")]
        public string RozpetieHlavnehoNosnika { get; set; }

        [JsonProperty("dlzka_nk")]
        public string DlzkaNK { get; set; }

        [JsonProperty("rozpetie_pozdlznikov")]
        public string RozpetiePozdlznikov { get; set; }

        [JsonProperty("stavebna_vyska")]
        public string StavebnaVyska { get; set; }

        [JsonProperty("hmotnost_ocel_konstrukcie")]
        public string HmotnostOcelKonstrukcie { get; set; }

        [JsonProperty("hmotnost_stanovena")]
        public string HmotnostStanovena { get; set; }

        [JsonProperty("sikmost_ukoncenia")]
        public string SikmostUkoncenia { get; set; }

        [JsonProperty("rozhodujuca_cast_nk")]
        public string RozhodujucaCastNK { get; set; }

        [JsonProperty("zatezitelnost_nk")]
        public string ZatezitelnostNK { get; set; }

        [JsonProperty("ukoncenie_nk")]
        public string UkoncenieNK { get; set; }

        [JsonProperty("loziska")]
        public string Loziska { get; set; }

        [JsonProperty("podruzne_loziska")]
        public string PodruzneLoziska { get; set; }

        [JsonProperty("protinarazova_zabrana")]
        public string ProtinarazovaZabrana { get; set; }

        [JsonProperty("mostny_predpis")]
        public string MostnyPredpis { get; set; }

        [JsonProperty("typ_hydroizolacie_nk")]
        public string TypHydroizolacieNK { get; set; }

        [JsonProperty("rok_vyroby_nk")]
        public string RokVyrobyNK { get; set; }

        [JsonProperty("rok_zosilnenia_opravy_nk")]
        public string RokZosilneniaOpravyNK { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }

        [JsonProperty("cast_mosta")]
        public string CastMosta { get; set; }

        [JsonProperty("naterova_plocha_ok")]
        public string NaterovaPlochaOK { get; set; }

        [JsonProperty("rok_posledneho_nateru_ok")]
        public string RokPoslednehoNateruOK { get; set; }

        [JsonProperty("sposob_zistenia_naterovej_plocha_ok")]
        public string SposobZisteniaNaterovejPlochaOK { get; set; }

        [JsonProperty("agresivita_prostredia")]
        public string AgresivitaProstredia { get; set; }

        [JsonProperty("rozsah_antikoroznej_ochrany")]
        public string RozsahAntikoroznejOchrany { get; set; }

        [JsonProperty("system_antikoroznej_ochrany")]
        public string SystemAntikoroznejOchrany { get; set; }

        [JsonProperty("sposob_rozsirenia_bet_konstrukcie")]
        public string SposobRozsireniaBetKonstrukcie { get; set; }

        [JsonProperty("rok_rozsirenia")]
        public string RokRozsirenia { get; set; }
    }

    [Table("material_spodnej_stavby_most")]
    public class MaterialSpodnejStavbyMost
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("cislo_tu")]
        public string CisloTU { get; set; }

        [JsonProperty("cislo_du")]
        public string CisloDU { get; set; }

        [JsonProperty("km_poloha")]
        public string KmPoloha { get; set; }

        [JsonProperty("jic_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("cast_spodnej_stavby")]
        public string CastSpodnejStavby { get; set; }

        [JsonProperty("material_casti_spodnej_stavby")]
        public string MaterialCastiSpodnejStavby { get; set; }

        [JsonProperty("prefabrikacia_spodnej_stavby")]
        public string PrefabrikaciaSpodnejStavby { get; set; }

        [JsonProperty("popis_prefabrikatu")]
        public string PopisPrefabrikatu { get; set; }
    }

    [Table("poistne_uholniky_most")]
    public class PoistneUholnikyMost
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("cislo_tu")]
        public string CisloTU { get; set; }

        [JsonProperty("cislo_du")]
        public string CisloDU { get; set; }

        [JsonProperty("km_poloha")]
        public string KmPoloha { get; set; }

        [JsonProperty("jic_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("typ_poistneho_uholnika")]
        public string TypPoistnehoUholnika { get; set; }

        [JsonProperty("dlzka")]
        public string Dlzka { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }
    }

    [Table("kolaje_most")]
    public class KolajeMost
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("cislo_tu")]
        public string CisloTU { get; set; }

        [JsonProperty("cislo_du")]
        public string CisloDU { get; set; }

        [JsonProperty("km_poloha")]
        public string KmPoloha { get; set; }

        [JsonProperty("jic_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("cislo")]
        public string Cislo { get; set; }

        [JsonProperty("tu")]
        public string TU { get; set; }

        [JsonProperty("du")]
        public string DU { get; set; }

        [JsonProperty("umiestnenie")]
        public string Umiestnenie { get; set; }

        [JsonProperty("obmedzujuca_rychlost_1")]
        public string ObmedzujucaRychlost1 { get; set; }

        [JsonProperty("obmedzujuca_rychlost_2")]
        public string ObmedzujucaRychlost2 { get; set; }

        [JsonProperty("kategoria_zatazenia_st_zel_spodku")]
        public string KategoriaZatazeniaStZelSpodku { get; set; }

        [JsonProperty("zatazitelnost")]
        public string Zatazitelnost { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }
    }

    [Table("dilacne_zariadenia_most")]
    public class DilatacneZariadeniaMost
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("cislo_tu")]
        public string CisloTU { get; set; }

        [JsonProperty("cislo_du")]
        public string CisloDU { get; set; }

        [JsonProperty("km_poloha")]
        public string KmPoloha { get; set; }

        [JsonProperty("jic_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("typ_dilatacneho_zariadenia")]
        public string TypDilatacnehoZariadenia { get; set; }

        [JsonProperty("pocet")]
        public string Pocet { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }
    }

    [Table("cudzie_zariadenia_most")]
    public class CudzieZariadeniaMost
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("cislo_tu")]
        public string CisloTU { get; set; }

        [JsonProperty("cislo_du")]
        public string CisloDU { get; set; }

        [JsonProperty("km_poloha")]
        public string KmPoloha { get; set; }

        [JsonProperty("jic_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("druh_cudzieho_zariadenia")]
        public string DruhCudziehoZariadenia { get; set; }

        [JsonProperty("spravca_zariadenia")]
        public string SpravcaZariadenia { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }
    }

    [Table("mostne_polia_most")]
    public class MostnePoliaMost
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("cislo_tu")]
        public string CisloTU { get; set; }

        [JsonProperty("cislo_du")]
        public string CisloDU { get; set; }

        [JsonProperty("km_poloha")]
        public string KmPoloha { get; set; }

        [JsonProperty("jic_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("poradove_cislo")]
        public string PoradoveCislo { get; set; }

        [JsonProperty("sucet_vysky_kol_lozka_a_presypavky_m")]
        public string SucetVyskyKolLozkaAPresypavkyM { get; set; }

        [JsonProperty("kolma_svetlost")]
        public string KolmaSvetlost { get; set; }

        [JsonProperty("sikma_svetlost_m")]
        public string SikmaSvetlostM { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }

        [JsonProperty("typ_prekazky")]
        public string TypPrekazky { get; set; }

        [JsonProperty("blizsi_popis")]
        public string BlizsiPopis { get; set; }

        [JsonProperty("volna_vyska_nad_prekazkou_m")]
        public string VolnaVyskaNadPrekazkouM { get; set; }

        [JsonProperty("storocny_prietok_m3sek")]
        public string StorocnyPrietokM3Sek { get; set; }

        [JsonProperty("poznamka_dalsia")]
        public string PoznamkaDalsia { get; set; }
    }

    [Table("obmedzujuce_prvky_most")]
    public class ObmedzujucePrvkyMost
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("cislo_tu")]
        public string CisloTU { get; set; }

        [JsonProperty("cislo_du")]
        public string CisloDU { get; set; }

        [JsonProperty("km_poloha")]
        public string KmPoloha { get; set; }

        [JsonProperty("jic_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("obmedzujuci_prvok")]
        public string ObmedzujuciPrvok { get; set; }

        [JsonProperty("celkova_dlzka_m")]
        public string CelkovaDlzkaM { get; set; }

        [JsonProperty("vzdialenost_od_lavej_krajnej_kolaje_m")]
        public string VzdialenostOdLavejKrajnejKolajeM { get; set; }

        [JsonProperty("vzdialenost_od_pravej_krajnej_kolaje_m")]
        public string VzdialenostOdPravejKrajnejKolajeM { get; set; }
    }

    [Table("most")]
    public class Most
    {
        [JsonProperty("or")]
        public string OR { get; set; }

        [JsonProperty("spravca")]
        public string Spravca { get; set; }

        [JsonProperty("tu")]
        public string TU { get; set; }

        [JsonProperty("du")]
        public string DU { get; set; }

        [JsonProperty("rozchod")]
        public string Rozchod { get; set; }

        [JsonProperty("kategoria")]
        public string Kategoria { get; set; }

        [JsonProperty("oznacenie_rozchodu")]
        public string OznačenieRozchodu { get; set; }

        [JsonProperty("trakcia")]
        public string Trakcia { get; set; }

        [JsonProperty("koridory")]
        public string Koridory { get; set; }

        [JsonProperty("kategoria_zvisleho_zatazenia")]
        public string KategoriaZvislehoZatazenia { get; set; }

        [JsonProperty("cislo_ttp")]
        public string CisloTTP { get; set; }

        [JsonProperty("ji_c_mosta")]
        public string JICMosta { get; set; }

        [JsonProperty("km_poloha_stredu_mosta")]
        public string KmPolohaStreduMosta { get; set; }

        [JsonProperty("od_km")]
        public string OdKm { get; set; }

        [JsonProperty("do_km")]
        public string DoKm { get; set; }

        [JsonProperty("interni_cislo_sap")]
        public string InterniCisloSAP { get; set; }

        [JsonProperty("typ_mosta")]
        public string TypMosta { get; set; }

        [JsonProperty("umiestnenie")]
        public string Umiestnenie { get; set; }

        [JsonProperty("technicke_miesto_udrzby")]
        public string TechnickeMiestoUdrzby { get; set; }

        [JsonProperty("obstaranovacia_cena")]
        public string ObstaranovaciaCena { get; set; }

        [JsonProperty("rok_stavby_opor_a_pilierov")]
        public string RokStavbyOporAPilierov { get; set; }

        [JsonProperty("rok_prestavby_opor_a_pilierov")]
        public string RokPrestavbyOporAPilierov { get; set; }

        [JsonProperty("pocet_most_poli")]
        public string PocetMostPoli { get; set; }

        [JsonProperty("pocet_kolaji")]
        public string PocetKolaji { get; set; }

        [JsonProperty("pocet_nosnych_konstru")]
        public string PocetNosnychKonstru { get; set; }

        [JsonProperty("celkova_naterova_plocha")]
        public string CelkovaNaterovaPlocha { get; set; }

        [JsonProperty("nepritomnost_kolaje")]
        public string NepritomnostKolaje { get; set; }

        [JsonProperty("kolajove_rozvetvenie")]
        public string KolajoveRozvetvenie { get; set; }

        [JsonProperty("kolajove_styky")]
        public string KolajoveStyky { get; set; }

        [JsonProperty("umiestnenie_kabeloveho_zlabu")]
        public string UmiestnenieKabelovehoZlabu { get; set; }

        [JsonProperty("zem_sirka")]
        public string ZemSirka { get; set; }

        [JsonProperty("zem_dlzka")]
        public string ZemDlzka { get; set; }

        [JsonProperty("obec")]
        public string Obec { get; set; }

        [JsonProperty("kataster")]
        public string Kataster { get; set; }

        [JsonProperty("okres")]
        public string Okres { get; set; }

        [JsonProperty("kraj")]
        public string Kraj { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }

        [JsonProperty("dlzka_premostenia")]
        public string DlzkaPremostenia { get; set; }

        [JsonProperty("celk_dlzka_nk_mosta")]
        public string CelkDlzkaNKMosta { get; set; }

        [JsonProperty("dlzka_mosta")]
        public string DlzkaMosta { get; set; }

        [JsonProperty("vyska_mosta")]
        public string VyškaMosta { get; set; }

        [JsonProperty("sirka_mosta")]
        public string SirkaMosta { get; set; }

        [JsonProperty("smer_sikmosti")]
        public string SmerSikmosti { get; set; }

        [JsonProperty("sikmost_mosta")]
        public string SikmostMosta { get; set; }

        [JsonProperty("sikmost_mosta_d")]
        public string SikmostMostaD { get; set; }

        [JsonProperty("vyska_1_opory")]
        public string Vyška1Opory { get; set; }

        [JsonProperty("vyska_2_opory")]
        public string Vyška2Opory { get; set; }

        [JsonProperty("staticky_system_1_opory")]
        public string StatickySystem1Opory { get; set; }

        [JsonProperty("staticky_system_2_opory")]
        public string StatickySystem2Opory { get; set; }

        [JsonProperty("druh_kridel_1_opory")]
        public string DruhKridel1Opory { get; set; }

        [JsonProperty("druh_kridel_2_opory")]
        public string DruhKridel2Opory { get; set; }

        [JsonProperty("sucet_vysok_pilierov")]
        public string SucetVysokPilierov { get; set; }

        [JsonProperty("material_pilierov")]
        public string MaterialPilierov { get; set; }

        [JsonProperty("pocet_u_j_ocelovych_casti")]
        public string PocetUJOcelovychCasti { get; set; }

        [JsonProperty("pocet_u_j_masivnych_casti")]
        public string PocetUJMasivnychCasti { get; set; }

        [JsonProperty("celkovy_pocet_u_j")]
        public string CelkovyPocetUJ { get; set; }
    }
}
